Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.poi.ss.usermodel
Enum PaperSize

    java.lang.Object
      java.lang.Enum<PaperSize>
          org.apache.poi.ss.usermodel.PaperSize

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PaperSize>

    public enum PaperSize

extends java.lang.Enum<PaperSize>

The enumeration value indicating the possible paper size for a sheet

Author:
  Daniele Montagni

Enum Constant Summary
`A3_PAPER`
`A4_PAPER`
`A4_SMALL_PAPER`
`A5_PAPER`
`B4_PAPER`
`B5_PAPER`
`EXECUTIVE_PAPER`
`FOLIO_PAPER`
`LEDGER_PAPER`
`LEGAL_PAPER`
`LETTER_PAPER`
`LETTER_SMALL_PAPER`
`QUARTO_PAPER`
`STANDARD_PAPER_10_14`
`STANDARD_PAPER_11_17`
`STATEMENT_PAPER`
`TABLOID_PAPER`

Method Summary
`static PaperSize` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PaperSize[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### LETTER_PAPER

    public static final PaperSize LETTER_PAPER

### LETTER_SMALL_PAPER

    public static final PaperSize LETTER_SMALL_PAPER

### TABLOID_PAPER

    public static final PaperSize TABLOID_PAPER

### LEDGER_PAPER

    public static final PaperSize LEDGER_PAPER

### LEGAL_PAPER

    public static final PaperSize LEGAL_PAPER

### STATEMENT_PAPER

    public static final PaperSize STATEMENT_PAPER

### EXECUTIVE_PAPER

    public static final PaperSize EXECUTIVE_PAPER

### A3_PAPER

    public static final PaperSize A3_PAPER

### A4_PAPER

    public static final PaperSize A4_PAPER

### A4_SMALL_PAPER

    public static final PaperSize A4_SMALL_PAPER

### A5_PAPER

    public static final PaperSize A5_PAPER

### B4_PAPER

    public static final PaperSize B4_PAPER

### B5_PAPER

    public static final PaperSize B5_PAPER

### FOLIO_PAPER

    public static final PaperSize FOLIO_PAPER

### QUARTO_PAPER

    public static final PaperSize QUARTO_PAPER

### STANDARD_PAPER_10_14

    public static final PaperSize STANDARD_PAPER_10_14

### STANDARD_PAPER_11_17

    public static final PaperSize STANDARD_PAPER_11_17

Method Detail

### values

    public static PaperSize[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PaperSize c : PaperSize.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PaperSize valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.